Bug 135695 - yum bails out without an error message on my low-memory test machine
yum bails out without an error message on my low-memory test machine
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-14 11:00 EDT by Dave Malcolm
Modified: 2014-01-21 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-01 18:10:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2004-10-14 11:00:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041012

Description of problem:
I'm running FC3 test2 on an old laptop with 128MB of RAM; the whole
desktop is painfully slow.  I'm trying to do a full yum update, which
takes ages; it appears to be working, but bails out without an error
message when it reached the transaction test.     


Version-Release number of selected component (if applicable):
yum-2.1.6-1

How reproducible:
Always

Steps to Reproduce:
"yum update" on a 128MB machine with a large update (about 900
packages to be updated)
    

Actual Results:  (snipped, hundreds of updates await)
                [u] xorg-x11-xfs.i386 0:6.8.1-4 - user
                [u] yelp.i386 0:2.6.3-1 - user
Is this ok [y/N]: y
gnome-desktop-2.8.0-3.i38 100% |=========================| 699 kB    00:04
Running Transaction Test

(it then bails out and returns me to the shell prompt)

Expected Results:  Ideally it should succeed (though I suspect I just
don't have the memory on this machine); if it fails it should at least
say that a failure has occurred, rather than silently dying.

Additional info:
Comment 1 Seth Vidal 2004-10-14 11:04:11 EDT
set keepalive=0 in your /etc/yum.conf file either under [main] or in
each repository section.

Then try again.

I think this is the same as another bug.
Comment 2 Seth Vidal 2004-11-01 14:32:29 EST
Any more movement on this?

The other possibility other than keepalive problems is the oom killer
got it.

Comment 3 Dave Malcolm 2004-11-01 18:10:37 EST
I updated to the latest yum, and then ran yum update...

1031 packages later, it finished successfully.   I'm impressed.

Excellent; resolving as fixed in RAWHIDE.
(current yum on the machine is now yum-2.11-2)



Note You need to log in before you can comment on or make changes to this bug.